package com.cftech.workshop.workshop.service;

import com.cftech.core.sql.Conds;
import com.cftech.core.sql.Sort;
import com.cftech.workshop.workshop.model.WorkShopMessageDto;
import com.cftech.workshop.workshop.model.Workshop;
import com.cftech.core.generic.GenericService;
import com.cftech.workshop.workshop.model.WorkshopDto;
import com.cftech.workshop.workshop.model.WorkshopRSVP;

import java.util.List;
import java.util.Map;

/**
* Service
*
* @author byj
* @date: 2018-06-22 17:30
*/
public interface WorkshopService extends GenericService<Workshop> {

    List<WorkshopDto> searchmembershop(Conds conds, Sort sort, int page, int pageSize);

    List<WorkshopDto> delworkshop(Conds conds, Sort sort, int page, int pageSize);

    List<WorkshopRSVP> exportRSVP(Conds conds, Sort sort, int page, int pageSize);
    List<WorkShopMessageDto> getTemplateWorkShopMessage(Conds conds);


    List<Workshop> selectworkshop(Conds conds, Sort sort, int page, int pageSize);
    //参加研讨会
    List<WorkshopDto>  joinmeeting(String member_uid,String ivitecode);

    int delnum(Conds conds);
}
